%define agent_release 1.0.5
%define osbuilder_release 1
Name:           kata-image
Version:        1.7.3
Release:        %{agent_release}.%{osbuilder_release}.ol7_%{build_date}
License:        Oracle Linux License Agreement
Vendor:		Oracle America
Summary:        Oracle Linux image for Kata containers
Group:          image
Url:            https://github.com/kata-containers/osbuilder
Source0:        %{name}-%{version}.tar.bz2

BuildRequires: golang >= 1.12.10
BuildRequires: qemu-img
BuildRequires: parted
BuildRequires: e2fsprogs
BuildRequires: util-linux
BuildRequires: yq

%description
Kata Containers Image based upon Oracle Linux

%prep
%setup -q

%build
export VERSION=%{version}
export RELEASE=%{agent_release}%{?dist}
sh build_kata_image

%install
ImageDir=%{buildroot}/usr/share/kata-containers
mkdir -p ${ImageDir}
install -p kata-containers.img ${ImageDir}/kata-containers-%{version}.img
install -p kata-containers-initrd.img ${ImageDir}/kata-containers-initrd-%{version}.img
ln -sf kata-containers-%{version}.img ${ImageDir}/kata-containers.img
ln -sf kata-containers-initrd-%{version}.img ${ImageDir}/kata-containers-initrd.img

# Deliver the License
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -p buildrpm/EULA %{buildroot}/usr/share/doc/%{name}-%{version}/EULA

%files
%license buildrpm/EULA THIRD_PARTY_LICENSES.txt
%dir /usr/share/kata-containers
/usr/share/kata-containers/kata-containers-%{version}.img
/usr/share/kata-containers/kata-containers-initrd-%{version}.img
/usr/share/kata-containers/kata-containers.img
/usr/share/kata-containers/kata-containers-initrd.img
%doc /usr/share/doc/%{name}-%{version}/EULA

%changelog
* Wed Jun 24 2020 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.7.3-1.0.5.1
- Address Kata CVE 2023

* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4.1
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3.1
- Included THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2.1
- updated agent_release value and added Url

* Wed Jul 31 2019 James McCarthy <james.m.mccarthy@oracle.com> - 1.7.3-2
- Updated build requirements - added yq

* Tue Jul 23 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.7.3-1
- Added Oracle Specific Build Files for kata-image
